import java.net.*;
import java.io.*;

public class FetchResourceViaMethodgetContent {
  public static void main(String[] args) {

    URL url;
    BufferedReader reader;

    // Default url.
    String urlStr = "file:" + "//D:\\users\\khalid\\wrk-2003" +
                    "\\ATIJ\\lecture-notes-kam\\atij-url-http" +
                    "\\FetchResourceViaMethodgetContent.java";

    if (args.length > 0)
      urlStr = args[0];
    try {
      // Create the URL.
      url = new URL( urlStr );

      // Get the content object.
      Object content = url.getContent();

      // We only handle input streams here.
      if (!(content instanceof InputStream)) {
        System.out.println("Cannot handle this type of content:");
        System.out.println(content);
        return;
      }
      InputStream input = (InputStream) content;
      reader = new BufferedReader(
                  new InputStreamReader(input));

      // Read the contents.
      for(;;) {
        String line = reader.readLine();
        if (line == null) break;
        System.out.println(line);
      }

    } catch (MalformedURLException mfue) {
        System.out.println("Protocol missing or unkown");
    } catch (IOException ioe) {
        System.out.println("Error while reading");
    }
  }
}