import java.net.*;
import java.io.*;

public class FetchResourceViaURL {
  public static void main(String[] args) {

    URL url;
    BufferedReader reader;

    // Default url.
    String urlStr = "file:" + "//D:\\users\\khalid\\wrk-2003" +
                    "\\ATIJ\\lecture-notes-kam\\atij-url-http" +
                    "\\FetchResourceViaURL.java";

    if (args.length > 0)
      urlStr = args[0];
    try {
      // Create the URL.
      url = new URL( urlStr );

      // Get the inputstream.
      reader = new BufferedReader(
                  new InputStreamReader(url.openStream()));

      // Read the contents.
      for(;;) {
        String line = reader.readLine();
        if (line == null) break;
        System.out.println(line);
      }
    } catch (MalformedURLException mfue) {
        System.out.println("Protocol missing or unkown");
    } catch (IOException ioe) {
        System.out.println("Error while reading");
    }
  }
}